io.vertx.rxjava.sqlclient

## Class Tuple

- java.lang.Object
- - io.vertx.rxjava.sqlclient.Tuple

- Direct Known Subclasses:
    Row

      public class Tuple
      extends Object

  A general purpose tuple.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Tuple>` | `__TYPE_ARG`
    `static Object` | `JSON_NULL` The JSON null literal value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple(Object delegate)`
    `Tuple(Tuple delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple` | `addArrayOfBigDecimal(BigDecimal[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfBoolean(Boolean[] value)` Add an array of `Boolean` value at the end of the tuple.
    `Tuple` | `addArrayOfDouble(Double[] value)` Add an array of `Double` value at the end of the tuple.
    `Tuple` | `addArrayOfFloat(Float[] value)` Add an array of `Float` value at the end of the tuple.
    `Tuple` | `addArrayOfInteger(Integer[] value)` Add an array of `Integer` value at the end of the tuple.
    `Tuple` | `addArrayOfLocalDate(java.time.LocalDate[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfLocalDateTime(java.time.LocalDateTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfLocalTime(java.time.LocalTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfLong(Long[] value)` Add an array of `Long` value at the end of the tuple.
    `Tuple` | `addArrayOfOffsetDateTime(java.time.OffsetDateTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfOffsetTime(java.time.OffsetTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfShort(Short[] value)` Add an array of `Short` value at the end of the tuple.
    `Tuple` | `addArrayOfString(String[] value)` Add an array of `String` value at the end of the tuple.
    `Tuple` | `addArrayOfTemporal(java.time.temporal.Temporal[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addArrayOfUUID(UUID[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addBigDecimal(BigDecimal value)` Add a value at the end of the tuple.
    `Tuple` | `addBigDecimalArray(BigDecimal[] value)` Deprecated.
    `Tuple` | `addBoolean(Boolean value)` Add a boolean value at the end of the tuple.
    `Tuple` | `addBooleanArray(Boolean[] value)` Deprecated.
    `Tuple` | `addBuffer(Buffer value)` Add a buffer value at the end of the tuple.
    `Tuple` | `addDouble(Double value)` Add a double value at the end of the tuple.
    `Tuple` | `addDoubleArray(Double[] value)` Deprecated.
    `Tuple` | `addFloat(Float value)` Add a float value at the end of the tuple.
    `Tuple` | `addFloatArray(Float[] value)` Deprecated.
    `Tuple` | `addInteger(Integer value)` Add an integer value at the end of the tuple.
    `Tuple` | `addIntegerArray(Integer[] value)` Deprecated.
    `Tuple` | `addLocalDate(java.time.LocalDate value)` Add a `LocalDate` value at the end of the tuple.
    `Tuple` | `addLocalDateArray(java.time.LocalDate[] value)` Deprecated.
    `Tuple` | `addLocalDateTime(java.time.LocalDateTime value)` Add a `LocalDateTime` value at the end of the tuple.
    `Tuple` | `addLocalDateTimeArray(java.time.LocalDateTime[] value)` Deprecated.
    `Tuple` | `addLocalTime(java.time.LocalTime value)` Add a `LocalTime` value at the end of the tuple.
    `Tuple` | `addLocalTimeArray(java.time.LocalTime[] value)` Deprecated.
    `Tuple` | `addLong(Long value)` Add a long value at the end of the tuple.
    `Tuple` | `addLongArray(Long[] value)` Deprecated.
    `Tuple` | `addOffsetDateTime(java.time.OffsetDateTime value)` Add a `OffsetDateTime` value at the end of the tuple.
    `Tuple` | `addOffsetDateTimeArray(java.time.OffsetDateTime[] value)` Deprecated.
    `Tuple` | `addOffsetTime(java.time.OffsetTime value)` Add a `OffsetTime` value at the end of the tuple.
    `Tuple` | `addOffsetTimeArray(java.time.OffsetTime[] value)` Deprecated.
    `Tuple` | `addShort(Short value)` Add a short value at the end of the tuple.
    `Tuple` | `addShortArray(Short[] value)` Deprecated.
    `Tuple` | `addString(String value)` Add a string value at the end of the tuple.
    `Tuple` | `addStringArray(String[] value)` Deprecated.
    `Tuple` | `addTemporal(java.time.temporal.Temporal value)` Add a `Temporal` value at the end of the tuple.
    `Tuple` | `addTemporalArray(java.time.temporal.Temporal[] value)` Deprecated.
    `Tuple` | `addUUID(UUID value)` Add a `UUID` value at the end of the tuple.
    `Tuple` | `addUUIDArray(UUID[] value)` Deprecated.
    `Tuple` | `addValue(Object value)` Add an object value at the end of the tuple.
    `void` | `clear()`
    `String` | `deepToString()`
    `boolean` | `equals(Object o)`
    `<T> T` | `get(Class<T> type, int pos)`
    `BigDecimal[]` | `getArrayOfBigDecimals(int pos)` Get an array of value at `pos`.
    `Boolean[]` | `getArrayOfBooleans(int pos)` Get an array of `Boolean` value at `pos`.
    `Double[]` | `getArrayOfDoubles(int pos)` Get an array of `Double` value at `pos`.
    `Float[]` | `getArrayOfFloats(int pos)` Get an array of `Float` value at `pos`.
    `Integer[]` | `getArrayOfIntegers(int pos)` Get an array of `Integer` value at `pos`.
    `Object[]` | `getArrayOfJsons(int pos)` Get an array of JSON elements at `pos`, the element might be `#JSON_NULL null` or one of the following types: String Number JsonObject JsonArray Boolean
    `java.time.LocalDate[]` | `getArrayOfLocalDates(int pos)` Get an array of value at `pos`.
    `java.time.LocalDateTime[]` | `getArrayOfLocalDateTimes(int pos)` Get an array of value at `pos`.
    `java.time.LocalTime[]` | `getArrayOfLocalTimes(int pos)` Get an array of value at `pos`.
    `Long[]` | `getArrayOfLongs(int pos)` Get an array of `Long` value at `pos`.
    `Numeric[]` | `getArrayOfNumerics(int pos)` Get an array of value at `pos`.
    `java.time.OffsetDateTime[]` | `getArrayOfOffsetDateTimes(int pos)` Get an array of value at `pos`.
    `java.time.OffsetTime[]` | `getArrayOfOffsetTimes(int pos)` Get an array of value at `pos`.
    `Short[]` | `getArrayOfShorts(int pos)` Get an array of `Short` value at `pos`.
    `String[]` | `getArrayOfStrings(int pos)` Get an array of `String` value at `pos`.
    `java.time.temporal.Temporal[]` | `getArrayOfTemporals(int pos)` Get an array of value at `pos`.
    `UUID[]` | `getArrayOfUUIDs(int pos)` Get an array of value at `pos`.
    `BigDecimal` | `getBigDecimal(int pos)` Get value at `pos`.
    `BigDecimal[]` | `getBigDecimalArray(int pos)` Deprecated.
    `Boolean` | `getBoolean(int pos)` Get a boolean value at `pos`.
    `Boolean[]` | `getBooleanArray(int pos)` Deprecated.
    `Buffer` | `getBuffer(int pos)` Get a buffer value at `pos`.
    `Tuple` | `getDelegate()`
    `Double` | `getDouble(int pos)` Get a double value at `pos`.
    `Double[]` | `getDoubleArray(int pos)` Deprecated.
    `Float` | `getFloat(int pos)` Get a float value at `pos`.
    `Float[]` | `getFloatArray(int pos)` Deprecated.
    `Integer` | `getInteger(int pos)` Get an integer value at `pos`.
    `Integer[]` | `getIntegerArray(int pos)` Deprecated.
    `Object` | `getJson(int pos)` Get a JSON element at `pos`, the element might be `#JSON_NULL null` or one of the following types: String Number JsonObject JsonArray Boolean
    `java.time.LocalDate` | `getLocalDate(int pos)` Get `LocalDate` value at `pos`.
    `java.time.LocalDate[]` | `getLocalDateArray(int pos)` Deprecated.
    `java.time.LocalDateTime` | `getLocalDateTime(int pos)` Get `LocalDateTime` value at `pos`.
    `java.time.LocalDateTime[]` | `getLocalDateTimeArray(int pos)` Deprecated.
    `java.time.LocalTime` | `getLocalTime(int pos)` Get `LocalTime` value at `pos`.
    `java.time.LocalTime[]` | `getLocalTimeArray(int pos)` Deprecated.
    `Long` | `getLong(int pos)` Get a long value at `pos`.
    `Long[]` | `getLongArray(int pos)` Deprecated.
    `Numeric` | `getNumeric(int pos)` Get value at `pos`.
    `Numeric[]` | `getNumericArray(int pos)` Deprecated.
    `java.time.OffsetDateTime` | `getOffsetDateTime(int pos)` Get `OffsetDateTime` value at `pos`.
    `java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(int pos)` Deprecated.
    `java.time.OffsetTime` | `getOffsetTime(int pos)` Get `OffsetTime` value at `pos`.
    `java.time.OffsetTime[]` | `getOffsetTimeArray(int pos)` Deprecated.
    `Short` | `getShort(int pos)` Get a short value at `pos`.
    `Short[]` | `getShortArray(int pos)` Deprecated.
    `String` | `getString(int pos)` Get a string value at `pos`.
    `String[]` | `getStringArray(int pos)` Deprecated.
    `java.time.temporal.Temporal` | `getTemporal(int pos)` Get a `Temporal` value at `pos`.
    `java.time.temporal.Temporal[]` | `getTemporalArray(int pos)` Deprecated.
    `UUID` | `getUUID(int pos)` Get `UUID` value at `pos`.
    `UUID[]` | `getUUIDArray(int pos)` Deprecated.
    `Object` | `getValue(int pos)` Get an object value at `pos`.
    `int` | `hashCode()`
    `static Tuple` | `newInstance(Tuple arg)`
    `static Tuple` | `of(Object elt1)` Create a tuple of one element.
    `static Tuple` | `of(Object elt1, Object elt2)` Create a tuple of two elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3)` Create a tuple of three elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4)` Create a tuple of four elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4, Object elt5)` Create a tuple of five elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4, Object elt5, Object elt6)` Create a tuple of six elements.
    `int` | `size()`
    `String` | `toString()`
    `static Tuple` | `tuple()`
    `static Tuple` | `tuple(List<Object> elements)` Create a tuple with the provided `elements` list.
    `static Tuple` | `wrap(List<Object> list)` Wrap the provided `list` with a tuple.
    `static Tuple` | `wrap(Object[] array)` Wrap the provided `array` with a tuple.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Tuple> __TYPE_ARG

    - #### JSON_NULL

          public static final Object JSON_NULL

      The JSON null literal value.
      It is used to distinguish a JSON null literal value from the Java `null` value. This is only used when the database supports JSON types.

  - ### Constructor Detail

    - #### Tuple

          public Tuple(Tuple delegate)

    - #### Tuple

          public Tuple(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Tuple getDelegate()

    - #### tuple

          public static Tuple tuple()

      Returns:
        a new empty tuple

    - #### wrap

          public static Tuple wrap(List<Object> list)

      Wrap the provided `list` with a tuple.
      The list is not copied and is used as store for tuple elements.
      Parameters:
        `list` -
      Returns:
        the list wrapped as a tuple

    - #### of

          public static Tuple of(Object elt1)

      Create a tuple of one element.
      Parameters:
        `elt1` - the first value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2)

      Create a tuple of two elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3)

      Create a tuple of three elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3,
                                 Object elt4)

      Create a tuple of four elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
        `elt4` - the fourth value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3,
                                 Object elt4,
                                 Object elt5)

      Create a tuple of five elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
        `elt4` - the fourth value
        `elt5` - the fifth value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3,
                                 Object elt4,
                                 Object elt5,
                                 Object elt6)

      Create a tuple of six elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second valueg
        `elt3` - the third value
        `elt4` - the fourth value
        `elt5` - the fifth value
        `elt6` - the sixth value
      Returns:
        the tuple

    - #### tuple

          public static Tuple tuple(List<Object> elements)

      Create a tuple with the provided `elements` list.

      The `elements` list is not modified.
      Parameters:
        `elements` - the list of elements
      Returns:
        the tuple

    - #### getValue

          public Object getValue(int pos)

      Get an object value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBoolean

          public Boolean getBoolean(int pos)

      Get a boolean value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getShort

          public Short getShort(int pos)

      Get a short value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getInteger

          public Integer getInteger(int pos)

      Get an integer value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLong

          public Long getLong(int pos)

      Get a long value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getFloat

          public Float getFloat(int pos)

      Get a float value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getDouble

          public Double getDouble(int pos)

      Get a double value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getString

          public String getString(int pos)

      Get a string value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getJson

          public Object getJson(int pos)

      Get a JSON element at `pos`, the element might be `#JSON_NULL null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getBuffer

          public Buffer getBuffer(int pos)

      Get a buffer value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### addValue

          public Tuple addValue(Object value)

      Add an object value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBoolean

          public Tuple addBoolean(Boolean value)

      Add a boolean value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addShort

          public Tuple addShort(Short value)

      Add a short value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addInteger

          public Tuple addInteger(Integer value)

      Add an integer value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLong

          public Tuple addLong(Long value)

      Add a long value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addFloat

          public Tuple addFloat(Float value)

      Add a float value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addDouble

          public Tuple addDouble(Double value)

      Add a double value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addString

          public Tuple addString(String value)

      Add a string value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBuffer

          public Tuple addBuffer(Buffer value)

      Add a buffer value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### get

          public <T> T get(Class<T> type,
                           int pos)

    - #### size

          public int size()

      Returns:
        the tuple size

    - #### clear

          public void clear()

    - #### deepToString

          public String deepToString()

      Returns:
        A String containing the `Object` value of each element, separated by a comma (,) character

    - #### wrap

          public static Tuple wrap(Object[] array)

      Wrap the provided `array` with a tuple.
      The array is not copied and is used as store for tuple elements.
      Parameters:
        `array` -
      Returns:
        the list wrapped as a tuple

    - #### getNumeric

          public Numeric getNumeric(int pos)

      Get value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getTemporal

          public java.time.temporal.Temporal getTemporal(int pos)

      Get a `Temporal` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDate

          public java.time.LocalDate getLocalDate(int pos)

      Get `LocalDate` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalTime

          public java.time.LocalTime getLocalTime(int pos)

      Get `LocalTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateTime

          public java.time.LocalDateTime getLocalDateTime(int pos)

      Get `LocalDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetTime

          public java.time.OffsetTime getOffsetTime(int pos)

      Get `OffsetTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetDateTime

          public java.time.OffsetDateTime getOffsetDateTime(int pos)

      Get `OffsetDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getUUID

          public UUID getUUID(int pos)

      Get `UUID` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBigDecimal

          public BigDecimal getBigDecimal(int pos)

      Get value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getArrayOfBooleans

          public Boolean[] getArrayOfBooleans(int pos)

      Get an array of `Boolean` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBooleanArray

          @Deprecated
          public Boolean[] getBooleanArray(int pos)

      Deprecated.
      Get an array of `Boolean` value at `pos`.

      Target element instance of `Object[]` will be coerced to `Boolean[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfShorts

          public Short[] getArrayOfShorts(int pos)

      Get an array of `Short` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getShortArray

          @Deprecated
          public Short[] getShortArray(int pos)

      Deprecated.
      Get an array of `Short` value at `pos`.

      Target element instance of `Number[]` or `Object[]` will be coerced to `Short[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfIntegers

          public Integer[] getArrayOfIntegers(int pos)

      Get an array of `Integer` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getIntegerArray

          @Deprecated
          public Integer[] getIntegerArray(int pos)

      Deprecated.
      Get an array of `Integer` value at `pos`.

      Target element instance of `Number[]` or `Object[]` will be coerced to `Integer[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfLongs

          public Long[] getArrayOfLongs(int pos)

      Get an array of `Long` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLongArray

          @Deprecated
          public Long[] getLongArray(int pos)

      Deprecated.
      Get an array of `Long` value at `pos`.

      Target element instance of `Number[]` or `Object[]` will be coerced to `Long[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfFloats

          public Float[] getArrayOfFloats(int pos)

      Get an array of `Float` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getFloatArray

          @Deprecated
          public Float[] getFloatArray(int pos)

      Deprecated.
      Get an array of `Float` value at `pos`.

      Target element instance of `Number[]` or `Object[]` will be coerced to `Float[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfDoubles

          public Double[] getArrayOfDoubles(int pos)

      Get an array of `Double` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getDoubleArray

          @Deprecated
          public Double[] getDoubleArray(int pos)

      Deprecated.
      Get an array of `Double` value at `pos`.

      Target element instance of `Number[]` or `Object[]` will be coerced to `Double[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfNumerics

          public Numeric[] getArrayOfNumerics(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value or `null`

    - #### getNumericArray

          @Deprecated
          public Numeric[] getNumericArray(int pos)

      Deprecated.
      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value

    - #### getArrayOfStrings

          public String[] getArrayOfStrings(int pos)

      Get an array of `String` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getStringArray

          @Deprecated
          public String[] getStringArray(int pos)

      Deprecated.
      Get an array of `String` value at `pos`.

      Target element instance of `Object[]` will be coerced to `String[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfJsons

          public Object[] getArrayOfJsons(int pos)

      Get an array of JSON elements at `pos`, the element might be `#JSON_NULL null` or one of the following types:
      - String
      - Number
      - JsonObject
      - JsonArray
      - Boolean
      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfTemporals

          public java.time.temporal.Temporal[] getArrayOfTemporals(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getTemporalArray

          @Deprecated
          public java.time.temporal.Temporal[] getTemporalArray(int pos)

      Deprecated.
      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfLocalDates

          public java.time.LocalDate[] getArrayOfLocalDates(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateArray

          @Deprecated
          public java.time.LocalDate[] getLocalDateArray(int pos)

      Deprecated.
      Get an array of value at `pos`.

      Target element instance of `LocalDateTime[]` will be coerced to `LocalDate[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfLocalTimes

          public java.time.LocalTime[] getArrayOfLocalTimes(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalTimeArray

          @Deprecated
          public java.time.LocalTime[] getLocalTimeArray(int pos)

      Deprecated.
      Get an array of value at `pos`.

      Target element instance of `LocalDateTime[]` will be coerced to `LocalTime[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfLocalDateTimes

          public java.time.LocalDateTime[] getArrayOfLocalDateTimes(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateTimeArray

          @Deprecated
          public java.time.LocalDateTime[] getLocalDateTimeArray(int pos)

      Deprecated.
      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfOffsetTimes

          public java.time.OffsetTime[] getArrayOfOffsetTimes(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetTimeArray

          @Deprecated
          public java.time.OffsetTime[] getOffsetTimeArray(int pos)

      Deprecated.
      Get an array of value at `pos`.

      Target element instance of `OffsetDateTime[]` will be coerced to `OffsetTime[]`.

      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfOffsetDateTimes

          public java.time.OffsetDateTime[] getArrayOfOffsetDateTimes(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetDateTimeArray

          @Deprecated
          public java.time.OffsetDateTime[] getOffsetDateTimeArray(int pos)

      Deprecated.
      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value

    - #### getArrayOfUUIDs

          public UUID[] getArrayOfUUIDs(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value or `null`

    - #### getUUIDArray

          @Deprecated
          public UUID[] getUUIDArray(int pos)

      Deprecated.
      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value

    - #### getArrayOfBigDecimals

          public BigDecimal[] getArrayOfBigDecimals(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value or `null`

    - #### getBigDecimalArray

          @Deprecated
          public BigDecimal[] getBigDecimalArray(int pos)

      Deprecated.
      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value

    - #### addTemporal

          public Tuple addTemporal(java.time.temporal.Temporal value)

      Add a `Temporal` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDate

          public Tuple addLocalDate(java.time.LocalDate value)

      Add a `LocalDate` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalTime

          public Tuple addLocalTime(java.time.LocalTime value)

      Add a `LocalTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateTime

          public Tuple addLocalDateTime(java.time.LocalDateTime value)

      Add a `LocalDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetTime

          public Tuple addOffsetTime(java.time.OffsetTime value)

      Add a `OffsetTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetDateTime

          public Tuple addOffsetDateTime(java.time.OffsetDateTime value)

      Add a `OffsetDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addUUID

          public Tuple addUUID(UUID value)

      Add a `UUID` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBigDecimal

          public Tuple addBigDecimal(BigDecimal value)

      Add a value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfBoolean

          public Tuple addArrayOfBoolean(Boolean[] value)

      Add an array of `Boolean` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBooleanArray

          @Deprecated
          public Tuple addBooleanArray(Boolean[] value)

      Deprecated.
      Add an array of `Boolean` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfShort

          public Tuple addArrayOfShort(Short[] value)

      Add an array of `Short` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addShortArray

          @Deprecated
          public Tuple addShortArray(Short[] value)

      Deprecated.
      Add an array of `Short` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfInteger

          public Tuple addArrayOfInteger(Integer[] value)

      Add an array of `Integer` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addIntegerArray

          @Deprecated
          public Tuple addIntegerArray(Integer[] value)

      Deprecated.
      Add an array of `Integer` value at the end of the tuple.

      Target element instance of `Number[]` will be coerced to `Integer[]`.

      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfLong

          public Tuple addArrayOfLong(Long[] value)

      Add an array of `Long` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLongArray

          @Deprecated
          public Tuple addLongArray(Long[] value)

      Deprecated.
      Add an array of `Long` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfFloat

          public Tuple addArrayOfFloat(Float[] value)

      Add an array of `Float` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addFloatArray

          @Deprecated
          public Tuple addFloatArray(Float[] value)

      Deprecated.
      Add an array of `Float` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfDouble

          public Tuple addArrayOfDouble(Double[] value)

      Add an array of `Double` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addDoubleArray

          @Deprecated
          public Tuple addDoubleArray(Double[] value)

      Deprecated.
      Add an array of `Double` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfString

          public Tuple addArrayOfString(String[] value)

      Add an array of `String` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addStringArray

          @Deprecated
          public Tuple addStringArray(String[] value)

      Deprecated.
      Add an array of `String` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfTemporal

          public Tuple addArrayOfTemporal(java.time.temporal.Temporal[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addTemporalArray

          @Deprecated
          public Tuple addTemporalArray(java.time.temporal.Temporal[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfLocalDate

          public Tuple addArrayOfLocalDate(java.time.LocalDate[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateArray

          @Deprecated
          public Tuple addLocalDateArray(java.time.LocalDate[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfLocalTime

          public Tuple addArrayOfLocalTime(java.time.LocalTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalTimeArray

          @Deprecated
          public Tuple addLocalTimeArray(java.time.LocalTime[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfLocalDateTime

          public Tuple addArrayOfLocalDateTime(java.time.LocalDateTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateTimeArray

          @Deprecated
          public Tuple addLocalDateTimeArray(java.time.LocalDateTime[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfOffsetTime

          public Tuple addArrayOfOffsetTime(java.time.OffsetTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetTimeArray

          @Deprecated
          public Tuple addOffsetTimeArray(java.time.OffsetTime[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfOffsetDateTime

          public Tuple addArrayOfOffsetDateTime(java.time.OffsetDateTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetDateTimeArray

          @Deprecated
          public Tuple addOffsetDateTimeArray(java.time.OffsetDateTime[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfUUID

          public Tuple addArrayOfUUID(UUID[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addUUIDArray

          @Deprecated
          public Tuple addUUIDArray(UUID[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addArrayOfBigDecimal

          public Tuple addArrayOfBigDecimal(BigDecimal[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBigDecimalArray

          @Deprecated
          public Tuple addBigDecimalArray(BigDecimal[] value)

      Deprecated.
      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static Tuple newInstance(Tuple arg)

Copyright © 2021 Eclipse. All rights reserved.